%define name draklive
%define version 0.5
%define release %mkrel 1

Summary:	Live systems generation and copying tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		System/Configuration/Other
Url:		http://wiki.mandriva.com/Development/Packaging/Tools/draklive
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Requires:       syslinux grub
Requires:       cdrkit cdrkit-genisoimage
Requires:       curl rsync mtools patch squashfs-tools setarch urpmi

%description
This tool allows to generate Mandriva live systems.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
install -D -m 0755 %name %buildroot/%_sbindir/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS
%_sbindir/%name


%changelog
* Tue Mar 13 2007 Olivier Blin <oblin@mandriva.com> 0.5-1mdv2007.1
+ Revision: 142269
- 0.5

* Wed Mar 07 2007 Olivier Blin <oblin@mandriva.com> 0.4-1mdv2007.1
+ Revision: 134804
- 0.4

* Mon Feb 12 2007 Olivier Blin <oblin@mandriva.com> 0.3-1mdv2007.1
+ Revision: 120038
- require urpmi
- require curl
- require wodim and genisomage
- require grub
- add NEWS file
- 0.3
- do not package copy wizard anymore
- update url
- require setarch
- require squashfs-tools
- require patch
- Import draklive



* Sat Sep 16 2006 Olivier Blin <oblin@mandriva.com> 0.2-1mdv2007.0
- 0.2

* Mon Aug 21 2006 Olivier Blin <oblin@mandriva.com> 0.1-2mdv2007.0
- allow to add additionnal boot entries
- run shell in initrd when the "debug" option is on cmdline
- use patch batch mode (-t) not to apply already applied patches
  and die if a patch can't be applied
- create modules tree root (for x86_64)
- remove modprobe.preload.d files
- require syslinux, cdrecord, rsync and mtools

* Mon Jun 19 2006 Olivier Blin <oblin@mandriva.com> 0.1-1mdv2007.0
- initial release
